#include<stdio.h>
#include<stdlib.h>
#include<string.h>

int main(int argc, char * argv[]) {
	char ligne_commande[200];
	for (int i = 0; i < argc; i++) {
		if (i != 0) strcat(ligne_commande, " ");
		strcat(ligne_commande, argv[i]);
	}
	ligne_commande[strlen(ligne_commande)] = '\0';

	for (int i = strlen(ligne_commande); i >= 0; i--) printf("%c", ligne_commande[i]);
	printf("\n");
	return EXIT_SUCCESS;
}

